import Foundation
import App

abbrev = 'Decade'
iconName = 'Decade'
longName = 'USS Decade'
shipFile = 'Decade' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Decade = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

# Foundation.ShipDef.Decade.hasTGLName = 1
# Foundation.ShipDef.Decade.hasTGLDesc = 1

Foundation.ShipDef.Decade.desc = 'USS Decade NCC-31010\n\nFederation Diplomatic Transport Courier\nThough heavily shielded, and able to withstand several direct hits, Decades are obviously not intended for combat. Defensive phasers are standard, while a handful were recently refit to include photon torpedo launchers and an upgrade to type VIII arrays. Several dozen Decades served as ambulance ships during the Dominion War.'

if menuGroup:           Foundation.ShipDef.Decade.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Decade.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

