
Carrier = __import__("ftb.Carrier")
class Decade(Carrier.Carrier):
    def __init__(self, pShip):
        Carrier.Carrier.__init__(self, pShip)
        LauncherGroup = __import__("ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__("ftb.LauncherManager")

	launcher1 = LauncherManager.GetLauncher("Shuttle Bay", pShip)
	group.AddLauncher("Shuttle Bay", launcher1)

	launcher1.AddLaunchable("Shuttle", "ftb.friendlyAI", 2)

	self.AddLauncher("Group 1", group)

    # Define how much Shuttles we can carry maximal (Return Shuttles script)
    def GetMaxShuttles(self):
    	return 2
    # Don't use the following Tractors to Dock:
    def IgnoreTractors(self):    	
    	return ["Forward Tractor"]


ShipManager = __import__("ftb.ShipManager")
ShipManager.RegisterShipClass("Decade", Decade)
